Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689955 - avc: denied { module_request } for pid=8985 comm="brltty" kmod="fs-usbfs" scontext=system_u:system_r:brltty_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system permissive=0
Summary: avc: denied { module_request } for pid=8985 comm="brltty" kmod="fs-usbfs" ...
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: selinux-policy
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.1
Assignee: Lukas Vrabec
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 14:08 UTC by Branislav Náter
Modified: 2019-03-21 19:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Branislav Náter 2019-03-18 14:08:10 UTC
Description of problem:
Hi, getting following AVC (rhel-8 RC-2.0). Can you please have a look?

SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   enforcing
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Memory protection checking:     actual (secure)
Max kernel policy version:      31
selinux-policy-3.14.1-61.el8.noarch
----
time->Sun Mar 17 23:54:40 2019
type=PROCTITLE msg=audit(1552881280.700:207): proctitle=2F7573722F62696E2F62726C747479002D45002D76002D65002D6C6465627567
type=PATH msg=audit(1552881280.700:207): item=0 name="/var/run/brltty/usbfs" inode=43501 dev=00:17 mode=040755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:brltty_var_run_t:s0 nametype=NORMAL cap_fp=0000000000000000 cap_fi=0000000000000000 cap_fe=0 cap_fver=0
type=CWD msg=audit(1552881280.700:207): cwd="/"
type=SYSCALL msg=audit(1552881280.700:207): arch=c0000015 syscall=21 success=no exit=-19 a0=10037783420 a1=10037783330 a2=109354a38 a3=0 items=1 ppid=8984 pid=8985 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="brltty" exe="/usr/bin/brltty" subj=system_u:system_r:brltty_t:s0 key=(null)
type=AVC msg=audit(1552881280.700:207): avc:  denied  { module_request } for  pid=8985 comm="brltty" kmod="fs-usbfs" scontext=system_u:system_r:brltty_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system permissive=0

Comment 1 Lukas Vrabec 2019-03-20 19:35:40 UTC
Hi, 

This issue could be fixed by boolean:

# semanage boolean -m --on domain_kernel_load_modules


Note You need to log in before you can comment on or make changes to this bug.